package com.example.modules;

import com.example.ExampleAddon;
import dev.shrecked.sun.components.annotation.SunModule;
import dev.shrecked.sun.components.event.Events;
import dev.shrecked.sun.components.module.Category;
import dev.shrecked.sun.components.module.Module;
import dev.shrecked.sun.components.setting.settings.StringSetting;
import meteordevelopment.orbit.EventHandler;
import net.minecraft.client.MinecraftClient;

import java.awt.*;

@SunModule(key = "example-module", category = Category.World.class)
public class ExampleModule extends Module {
    private final StringSetting text = config.add("text", new StringSetting("Example text display!"));

    @Override
    protected void onEnable() {
        ExampleAddon.LOGGER.info("enabled example module!");
    }

    @Override
    protected void onDisable() {
        ExampleAddon.LOGGER.info("disabled example module!");
    }

    @EventHandler
    private void onHudRender(Events.HudRender event) {
        event.context().drawText(
            MinecraftClient.getInstance().textRenderer,
            this.text.getValue(),
            5,
            5,
            Color.RED.getRGB(),
            true
        );
    }
}
